%define LNG cs
Summary: Czech Linux Manual Pages
Name: man-pages-%LNG
Version: 0.17.20080113
Release: %mkrel 1
License: Distributable
Group: System/Internationalization
URL: http://sweb.cz/tropikhajma/man-pages-cs/index.html
Source: http://sweb.cz/tropikhajma/man-pages-cs/%name-%version.tar.lzma
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: man => 1.5j-8mdk
BuildRequires: sed grep man
Requires: locales-%LNG, man => 1.5j-8mdk
Autoreqprov: false
BuildArch: noarch
Obsoletes: man-%LNG, manpages-%LNG
Provides: man-%LNG, manpages-%LNG

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Czech.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd, nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n %name-%version
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LNG/
mkdir -p $RPM_BUILD_ROOT/var/cache/man/%LNG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
    mkdir $RPM_BUILD_ROOT/%_mandir/%LNG/man$i
done
	
for podadresar in $(find . -maxdepth 1 -mindepth 1 -type d -print); do
  if [ $podadresar == "./latest" ]
  then
    continue
  fi
    # as there are no translations of same name pages, all can be put to single directory sorted by sections
  for soubor in $(ls $podadresar | sort); do
    zakljmeno=`echo $soubor | sed s/^[0123456789]\\\{8\\\}\\.//g | sed s/\\.[0-9]\\\{4\\\}-[0-9][0-9]-[0-9][0-9]\\.[a-f0-9]\\\{32\\\}$//g`;
    cislosekce=${zakljmeno: -1};
    cp -p $podadresar/$soubor $RPM_BUILD_ROOT/%_mandir/%LNG/man$cislosekce/$zakljmeno
  done
done

LANG=%LNG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT%_mandir/%LNG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly

cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LNG.cron << EOF
#!/bin/bash
LANG=%LNG /usr/sbin/makewhatis %_mandir/%LNG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LNG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LNG

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/cache/man/%LNG, if there isn't any man page
   ## directory /%_mandir/%LNG
   if [ ! -d %_mandir/%LNG ] ; then
       rm -rf /var/cache/man/%LNG
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%doc README* Changelog CONTRIB.old
%dir %_mandir/%LNG
%dir /var/cache/man/%LNG
%verify (not md5 mtime size) /var/cache/man/%LNG/whatis
%_mandir/%LNG/man*
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LNG.cron


%changelog
* Tue Oct 14 2008 Funda Wang <fundawang@mandriva.org> 0.17.20080113-1mdv2009.1
+ Revision: 293464
- New version 0.17.20080113

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17.20070905-2mdv2009.0
+ Revision: 223154
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.17.20070905-1mdv2008.1
+ Revision: 129693
- kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Funda Wang <fundawang@mandriva.org> 0.17.20070905-1mdv2008.0
+ Revision: 80554
- New version 0.17.20070905

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.17.20070226-1mdv2008.0
+ Revision: 44467
- kill old icon
- new release

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 0.17.20070219-1mdv2008.0
+ Revision: 22586
- New upstream version.


* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-1mdk
- new release
- remove patch 0 (merged upstream)

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-4mdk
- build release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-3mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.cs since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - default description
    - remove translations

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-2mdk
- prevent conflicts with man
- provides manpages-%%LANG
- don't overwrite crontab if user atered it
- fix permission on /usr/share/man/cs/*

* Sun Jul 01 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.14-1mdk
- upgrade from rawhide

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.12-10mdk
- Use %%_tmppath for BuildRoot

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-9mdk
- Big Move

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-8mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-7mdk
- spechelper, permissions,

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.12-6mdk
- convert to new group scheme
- convert books-cs.gif -> .xpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com> 0.12-5mdk
- moved makewhatis.cs from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm package of Pavel Janik to Mandrake

